Zum Hauptinhalt springen
Version: API v1

PDF - Liefert ein bestimmtes Vertrags-PDF

GET/v1/gdpr/pdfs/{pdfIdentifier}
API-Version
v1
Request-Methode
GET
Operation-ID
getGDPRPDF

Liefert ein bestimmtes manuell hochgeladenes Vertrags-PDF des Kunden

Request​

  • pdfIdentifierstringrequired

    Die ID des Vertrags-PDFs

Responses​

Format
application/json
Beschreibung

Das gewünschte Vertrags-PDF

  • namestringrequired
  • creationDatestring (datetime)

    Das Erstelldatum im UTC Format

Content-Type: application/json

{
"name": "string",
"creationDate": "string"
}
{
"title": "GDPRPDF",
"required": [
"name"
],
"type": "object",
"properties": {
"name": {
"type": "string"
},
"creationDate": {
"type": "string",
"description": "Das Erstelldatum im UTC Format",
"format": "datetime"
}
}
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v1/gdpr/pdfs/string

Auf dieser Seite